Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.patterns
Class NodeTest

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest

Direct Known Subclasses:
  AxesWalker, StepPattern

public class NodeTest
extends Expression

Field Summary
`static XNumber` | `SCORE_NONE`
`static int` | `SHOW_BYFUNCTION` Special bitmap for match patterns starting with a function.
`static int` | `SHOW_NAMESPACE`
`static java.lang.String` | `WILD`

Constructor Summary
`NodeTest()`
`NodeTest(int whatToShow)`
`NodeTest(int whatToShow, java.lang.String namespace, java.lang.String name)`

Method Summary
`static void` | `debugWhatToShow(int whatToShow)`
`XObject` | `execute(XPathContext xctxt)` Test a node to see if it matches the given node test.
`double` | `getDefaultScore()`
`java.lang.String` | `getLocalName()` Return the local namespace to be tested.
`java.lang.String` | `getNamespace()` Return the namespace to be tested.
`int` | `getWhatToShow()` This attribute determines which node types are accepted.
`void` | `initNodeTest(int whatToShow)`
`void` | `initNodeTest(int whatToShow, java.lang.String namespace, java.lang.String name)`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WILD

    public static final java.lang.String WILD

### SHOW_NAMESPACE

    public static final int SHOW_NAMESPACE

### SHOW_BYFUNCTION

    public static final int SHOW_BYFUNCTION

  Special bitmap for match patterns starting with a function. Make sure this does not conflict with dom.traversal.NodeFilter

### SCORE_NONE

    public static final XNumber SCORE_NONE

Constructor Detail

### NodeTest

    public NodeTest(int whatToShow,
                    java.lang.String namespace,
                    java.lang.String name)

### NodeTest

    public NodeTest(int whatToShow)

### NodeTest

    public NodeTest()

Method Detail

### getWhatToShow

    public int getWhatToShow()

  This attribute determines which node types are accepted. These constants are defined in the `NodeFilter` interface.

### getNamespace

    public java.lang.String getNamespace()

  Return the namespace to be tested.

### getLocalName

    public java.lang.String getLocalName()

  Return the local namespace to be tested.

### initNodeTest

    public void initNodeTest(int whatToShow)

### initNodeTest

    public void initNodeTest(int whatToShow,
                             java.lang.String namespace,
                             java.lang.String name)

### getDefaultScore

    public double getDefaultScore()

### debugWhatToShow

    public static void debugWhatToShow(int whatToShow)

### execute

    public XObject execute(XPathContext xctxt)
                    throws SAXException

  Test a node to see if it matches the given node test.
  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `len` - The length of the argument.
    `len` - The type of the step.
  Overrides:
    execute in class Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.